#!/bin/sh
export PATH='/usr/obj/ports/hs-pwstore-fast-2.3/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: pwstore-fast
version: 2.3
id: pwstore-fast-2.3-368164d962a28c89373cbf31c1a26192
key: pwsto_3peYt4P2kbS9pg7aKlNglE
license: BSD3
maintainer: pjscott@iastate.edu
homepage: https://github.com/PeterScott/pwstore
synopsis: Secure password storage.
description:
    To store passwords securely, they should be salted,
    then hashed with a slow hash function. This library
    uses PBKDF1-SHA256, and handles all the details.
    It uses the cryptohash package for speed; if you need
    a pure Haskell library, pwstore-purehaskell has the
    exact same API, but uses only pure Haskell. It is
    about 25 times slower than this package, but still
    quite usable.
category: Cryptography
author: Peter Scott
exposed: True
exposed-modules:
    Crypto.PasswordStore
trusted: False
import-dirs: /usr/local/lib/ghc/pwstore-fast-2.3
library-dirs: /usr/local/lib/ghc/pwstore-fast-2.3
data-dir: /usr/local/share/hs-pwstore-fast-2.3
hs-libraries: HSpwstore-fast-2.3-3peYt4P2kbS9pg7aKlNglE
depends:
    base-4.8.2.0-3d77ba9c3882e564c6ef1b6e7015bbb1
    base64-bytestring-1.0.0.0-49b96a7769c2073fd55b3d5dc462be64
    bytestring-0.10.6.0-e64194d00131ba3386784c6b067aaaac
    cryptohash-0.7.10-7a79b06df69503eaf7655cf34cdcf73b
    random-1.1-29ff1dff757b7db4e436b4cdcc22a979
haddock-interfaces: /usr/local/share/doc/hs-pwstore-fast-2.3/html/pwstore-fast.haddock
haddock-html: /usr/local/share/doc/hs-pwstore-fast-2.3/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
